Remastersys no LMDE

Tenho utilizado o Linux Mint Debian Edition (LMDE) há um bom tempo e estou satifeitíssimo com a estabilidade, desempenho e usabilidade. Tanto que estamos adotando-o como distro padrão no meu trabalho também. O fato dele ser um “rolling distro” baseada no Debian Testing foi o que mais pesou na decisão, afinal basta agora instalar uma única vez e ir atualizando.

Pois bem, peguei um computador para instalar todos os pacotes que vamos utilizar, baixar e instalar as atualizações e fazer as customizações necessárias. Depois seria só instalar o Remastersys e gerar uma nova imagem ISO, com tudo já atualizado e instalar nos demais computadores.

O que eu não sabia é que os repositórios para Debian do Remastersys são para Lenny ou Squeeze. Não existe repositório para Wheezy… Ao adicionar qualquer um desses dois e tentar instalar o Remastersys, ocorrem uma série de erros relativos aos pacotes live-config, live-boot, live-config-sysvinit e live-boot-initramfs-tools.

Depois muito garimpar na net atrás de resoluções para esse problema, encontrei esta thread falando sobre o assunto e informando os procedimentos.  O segredo é adicionar o repositório Stable, instalar e congelar esses quatro pacotes nessa versão antes de instalar o Remastersys.

O procedimento tanto pode ser feito no terminal quanto no Synaptic. Por questões de pressa, escolhi a segunda opção.

Abra o Synaptic, vá em [Configuração] > [Repositórios]. Clique na segunda aba [Other Software] e depois no botão [Adicionar].

synaptic_fontes

Na pequena janela que surgir, insira a linha abaixo e clique em [Adicionar fonte].

deb http://ftp.br.debian.org/debian squeeze main contrib non-free

Adicione também o repositório para Debian Squeeze do Remastersys e em seguida feche a janela.

deb http://www.geekconnection.org/remastersys/repository squeeze/

Use a ferramenta de busca do Synaptic e procure, um por vez, pelos pacotes citados anteriormente. Para cada um que encontrar, efetue o seguinte procedimento:

Selecione o pacote no painel esquerdo do Synaptic, vá em [Pacote] > [Forçar versão] e na janela que aparecer, selecione a versão Stable.

synaptic_forca_versao

Depois de instalá-los, faça a mesma busca novamente e congele-os nessa versão. Para isso basta selecionar o pacote, ir em [Pacote] > [Trancar versão]. Faça isso para cada um dos quatro pacotes.

Agora sim, podemos instalar o Remastersys normalmente pelo Synaptic ou pelo aptitude / apt-get.

Deixe uma resposta

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *